Name:        tinos-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     Apache-2.0
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Tinos.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 TinosNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/TinosNerdFont-BoldItalic.ttf
install -Dm644 TinosNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/TinosNerdFontPropo-BoldItalic.ttf
install -Dm644 TinosNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/TinosNerdFont-Bold.ttf
install -Dm644 TinosNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/TinosNerdFontPropo-Bold.ttf
install -Dm644 TinosNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/TinosNerdFont-Italic.ttf
install -Dm644 TinosNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/TinosNerdFontPropo-Italic.ttf
install -Dm644 TinosNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/TinosNerdFont-Regular.ttf
install -Dm644 TinosNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/TinosNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/TinosNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/TinosNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/TinosNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/TinosNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/TinosNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/TinosNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/TinosNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/TinosNerdFontPropo-Regular.ttf
%license "Apache License.txt"
%doc "README.md"

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
